---
Name: esxi-sddc-vcenter-deploy
Description: Deploy vCenter instance on a vSphere ESXi host.
Documentation: |
  This workflow deploys a vSphere vCenter OVA (VCSA) on to a vSphere ESXi
  node.  The process requires the use of a RackN *Context* to run this
  workflow, and a Context container with `govc` in it.  RackN provides
  a lightweight `govc` only context container, or a larger bloated
  `vmware-tools` context container that also includes `govc`.

  The operator must specify the following Params for deploying the
  VCSA via the OVA.

    * `govc/commands` - set to `import.ova`
    * `govc/insecure` - either `true` or `false` depending on TLS certificates (self signed requires `true`)
    * `govc/ova-location` - the URL to download the VCSA OVA from - example `{{.ProvisionerURL}}/files/images/VMware-vCenter-Server-Appliance-7.0.0.10700-16749653_OVF10.ova`
    * `govc/ova-type` - must be set to `vcsa`
    * `govc/ova-version` - must be set to `7` for vSphere 7.x vCenter version
    * `govc/username` - must be set to the vSphere ESXi node account to authorize the deploy operation (usually `root`)
    * `govc/password` - the password of the ESXi node for authorizing the deploy operation
    * `govc/url` - the IP address or resolvable DNS host/domain name (FQDN) of the vSphere ESXi node to deploy vCenter OVA to
    * `ova/param-json` - the Param that describes the vCenter deployment options - there are several "EXAMPLE" named templates in the vmware-lib content pack.

  In addition, the operator may specify creation of a local Datastore on the
  ESXi node to back the vCenter instance.  See the `govc-datastore-create`
  Stage for more details on customizing this.

Meta:
  color: purple
  icon: terminal
  title: RackN Content
Stages:
  - govc-datastore-manage
  - govc-stage-ova
  - govc-deploy-ova
  - govc-wait-for-ova
  - complete-nobootenv
